/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-20
 * 描述            ：交货状态与材质标准修正值表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.ComBaseDeliverystateRPhyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_DELIVERYSTATE_R_PHY", namespace=ComBaseDeliverystateRPhyMapper.class)
public class ComBaseDeliverystateRPhy extends BaseVO implements Serializable {
	/** 
	 * 交货状态代码(来源于COM_BASE_DELIVERYSTATE)
	 */ 
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 材质检验项代码(来源于COM_BASE_PHY)
	 */ 
	@Column
	private String phy_code_s;
	public String getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 标准下限修正值
	 */ 
	@Column
	private Long stdmin_update;
	public Long getStdmin_update() {
		return this.stdmin_update;
	}
	public void setStdmin_update(Long stdmin_update) {
		this.stdmin_update = stdmin_update;
	}

	/** 
	 * 标准上限修正值
	 */ 
	@Column
	private Long stdmax_update;
	public Long getStdmax_update() {
		return this.stdmax_update;
	}
	public void setStdmax_update(Long stdmax_update) {
		this.stdmax_update = stdmax_update;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 7位主键（0000001）
	 */ 
	@Column
	private String id;
	public String getId() {
		return this.id;
	}
	public void setId(String id) {
		this.id = id;
	}

}
